﻿define([
    "dojo/_base/declare",

    "epi/shell/command/_CommandProviderMixin",

    "commerce/command/DeleteContent",

    "epi/shell/selection",
    "epi-cms/component/ContentContextMenuCommandProvider",

    "epi/i18n!epi/cms/nls/episerver.cms.components.createpage"
],

function (
    declare,

    _CommandProviderMixin,

    DeleteCommand,

    Selection,
    ContextMenuCommandProvider,

    resCreatePage) {

    // module:
    //		epi/cms/component/ContentContextMenuCommandProvider
    // summary:
    //		Command provider for content context menus

    return declare([ContextMenuCommandProvider], {

        postscript: function () {
            this.inherited(arguments);

            //Create the commands
            var selection = new Selection();
            this._settings = {
                category: "context",
                model: this.treeModel,
                clipboard: this.clipboardManager,
                selection: selection
            };

            this.commands = [
                new DeleteCommand(this._settings)
            ];
        }

    });
});
